function median_value(idx, tile)

    path = '/vol/v1/proj/verdet/verdet_out/';
    years = 1984:2011;
    idx = 'b4';
    INTERP_STRENGTH = 6;
    
    fprintf('Reading Data\n');
    % Read data for the given years.  The Metadata is only to spatially reference derived files.
    % All data should have the same spatial reference.

    for i = 1:length(years)
        y = num2str(years(i))
        
        composite_fn = [path '/' tile '/composites/' idx '/' idx '_' y '.tif'];
        if exist(composite_fn, 'file')
            [A(:,:,i), R] = read_georeferenced(composite_fn);
            W(:,:,i) = read_georeferenced([path '/' tile '/composites/weights/weights_' y '.tif']);
        end
    end
  
 
    %Perform Inter-Year Interpolation on data
    A = weighted_interpolation(A,W,INTERP_STRENGTH);
    clear W
    A = median(A,3);
    
    [~,~] = mkdir([path '/summary_NDMI/' idx '/']);
    write_georeferenced(A, R, [path '/summary_NDMI/' idx '/' idx '_' tile '.tif'], 16, [0 1]);
     